# The MEME Suite

## Motif-based sequence analysis tools

## getsize

### Usage:

`getsize <sequence file> [options]`

### Description

The program getsize prints statistics about sequences read from a FASTA file.

When counting letters, alias symbols are first converted to their core symbol.

### Input

#### <sequence file>

The name of a file of sequences in FASTA format. If the filename is given as "-", then the program reads from standard input.

### Output

Writes statistics about the sequences to standard output.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-f |  | Print the letter frequencies as a C array. |
-ft |  | Print letter frequencies in a LaTex table. |
-l |  | Just print the length of each sequence. |
-nd |  | Do not print warnings about duplicate sequences. |
-x |  | Translate DNA in 6 frames (use with -f or -ft) and print the protein letter frequencies in one C array for each frame. |
-codons |  | As for -x, and also print frame 0 codon usage as a C array. |